Name:           libcamera-apps
Version:        0.0.0.git.246.d2cd4886
Release:        1%{?dist}
Summary:        libcamera based apps that copy raspicam apps

License:        BSD
URL:            https://www.raspberrypi.com/documentation/accessories/camera.html
VCS:            git+https://github.com/Leuca/libcamera-apps#d2cd4886de8959a69b59ea8aed0b6a1634f8655f:

Source:         libcamera-apps-d2cd4886.tar.gz

Patch0:         libcamera-apps-fix-deprecated-attribute.patch

BuildRequires:  git
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  boost-devel
BuildRequires:  boost-program-options
BuildRequires:  libepoxy-devel
BuildRequires:  libdrm-devel
BuildRequires:  libexif-devel
BuildRequires:  libtiff-devel
BuildRequires:  libpng-devel
BuildRequires:  libjpeg-turbo-devel
BuildRequires:  libcamera-devel

# Dependencies to build the libav codec
BuildRequires:  libavcodec-devel >= 5.1.1
BuildRequires:  libavdevice-devel >= 5.1.1
BuildRequires:  libavformat-devel >= 5.1.1
BuildRequires:  libswresample-devel >= 5.1.1

Requires:       libcamera
Requires:       libcamera-ipa

%description
This is a small suite of libcamera-based apps that aim to copy the functionality of the existing "raspicam" apps.

%prep
%setup -T -b 0 -q -n libcamera-apps

%autopatch -p1

%build
mkdir build
pushd build
%cmake \
    -DENABLE_DRM=1 \
    -DENABLE_X11=0 \
    -DENABLE_QT=0 \
    -DENABLE_OPENCV=0 \
    -DENABLE_TFLITE=0 \
    ..

%cmake_build

%install
pushd build
%cmake_install

%files
%license license.txt
%{_libdir}/libcamera_app.so
%{_libdir}/libencoders.so
%{_libdir}/libimages.so
%{_libdir}/liboutputs.so
%{_libdir}/libpreview.so
%{_libdir}/libpost_processing_stages.so
%{_bindir}/libcamera-*
%{_bindir}/camera-bug-report

%changelog
